package com.docus.server.collect.web.common.dto;

import lombok.Data;

import java.util.List;

@Data
public class BasicQueryDto {
    /**
     * 表名
     */
    private DableJsonDto table;
    /**
     * 采集字段
     */
    private List<FieldJsonDto> fields;
    /**
     * 页数，从0开始
     */
    private int pageNumber;
    /**
     * 笔数
     */
    private int pageSize;
    /**
     * 上次时间
     */
    private String lasDate;
    /**
     * 当前时间
     */
    private String nowDate;

    /**
     * 标志
     */
    private String dataFileName;

}
