package com.docus.server.record.common.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

/**
 * @BelongsProject: docus-webservice-sdry
 * @BelongsPackage: com.docus.server.collection.webservice
 * @Author: chierhao
 * @CreateTime: 2023-02-25  14:44
 * @Description: TODO
 * @Version: 1.0
 */
@Data
public class TBasicDTO {
    // ---------------------- TBasicDTO info ----------------------
    @ApiModelProperty(value = "记账号")
    private String jzh;
    @ApiModelProperty(value = "病案号")
    private String inpatientNo;
    @ApiModelProperty(value = "住院次数")
    private String admissTimes;
    @ApiModelProperty(value = "患者姓名")
    private String name;
    @ApiModelProperty(value = "住院日期")
    private String admissDate;
    @ApiModelProperty(value = "出院日期")
    private String disDate;
    @ApiModelProperty(value = "住院科室名称")
    private String admissDeptName;
    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;
    @ApiModelProperty(value = "主管医生")
    private String attending;
    @ApiModelProperty(value = "主管医生名称")
    private String attendingName;
    @ApiModelProperty(value = "责任护士")
    private String dutyNurse;
    @ApiModelProperty(value = "住院科室")
    private String admissDept;
    @ApiModelProperty(value = "年龄_岁")
    private String age;
    @ApiModelProperty(value = "性别")
    private String sex;
    @ApiModelProperty(value = "身份证")
    private String idCard;
    @ApiModelProperty(value = "出院科室")
    private String disDept;
    @ApiModelProperty(value = "性别名称")
    private String sexName;
    @ApiModelProperty(value = "床位号")
    private String bedNum;
    @ApiModelProperty(value = "是否死亡")
    private String isDead;
    @ApiModelProperty(value = "实际住院天数")
    private String admissDays;
    // ---------------------- xml info ----------------------
    private String serialId;
    private String receive;
    private String send;
    // ---------------------- sdry info ----------------------
    private String wardCode;
    private String wardName;
    private String sdryIndex;
    /**
     * 拓展参数
     */
    private Map<String, Object> params;
}
