package com.docus.server.sys.common.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 第三方登陆
 * </p>
 *
 * @author jiashi
 * @since 2021-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "PowerThirdLogin对象", description = "第三方登陆")
public class PowerThirdLogin implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private Long id;

    @ApiModelProperty(value = "power_user表id")
    private String powerUserId;

    @ApiModelProperty(value = "用户")
    @TableField("user")
    private String user;

    @ApiModelProperty(value = "密码")
    private String pwd;

    @ApiModelProperty(value = "来源")
    private Integer source;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
