package com.docus.server.dto.scheduling.management.schcollector.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 下发任务-医院查询信息
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "ReportHospitalTwoDTO", description = "下发任务-医院查询信息")
public class ReportHospitalTwoDTO {

    @ApiModelProperty(value = "患者id")
    private String patientId;
    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;
    @ApiModelProperty(value = "住院日期")
    private String admissDate;
    @ApiModelProperty(value = "出院日期")
    private String disDate;
    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;
    @ApiModelProperty(value = "卡号")
    private String admissId;
}
