package com.docus.server.dto.segmentation.ocrspecialdetail;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 特殊规则详情 EditDTO
*
* @author AutoGenerator
* @since 2023-08-25
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="EditOcrSpecialDetailDTO对象", description="特殊规则详情")
public class EditOcrSpecialDetailDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "特殊规则id")
    private Integer specialId;

    @ApiModelProperty(value = "占比分")
    private Integer matchRatio;

    @ApiModelProperty(value = "匹配关键词 多个#分割")
    private String keyWord;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;


}
