package com.docus.server.entity.segmentation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 特殊策略表
 *
 * @author AutoGenerator
 * @since 2023-08-21
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("ocr_sp_rule")
@ApiModel(value = "OcrSpRule对象", description = "特殊策略表")
public class OcrSpRule implements Serializable {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "")
    @TableField("assort_id")
    private String assortId;

    @ApiModelProperty(value = "规则开始json")
    @TableField("start_json")
    private String startJson;

    @ApiModelProperty(value = "规则结束json")
    @TableField("end_json")
    private String endJson;


}
