package com.docus.server.vo.scheduling.management.schcollectorversion;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 采集器版本列表管理 VO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@ApiModel(value = "SchCollectorVersionVO对象", description = "采集器版本列表管理")
public class SchCollectorVersionVO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "采集器管理id")
    private Long collectorId;

    @ApiModelProperty(value = "采集器类型")
    private String collectorName;

    @ApiModelProperty(value = "版本号")
    private String collectVersion;

    @ApiModelProperty(value = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
