package com.docus.server.vo.scheduling.management.schcollectorversionlog;

import com.docus.server.enums.StateEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 采集器版本更新日志管理 VO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@ApiModel(value = "SchCollectorVersionLogVO对象", description = "采集器版本更新日志管理")
public class SchCollectorVersionLogVO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "采集器id")
    private Long collectorId;

    @ApiModelProperty(value = "采集器名称")
    private String collectorName;

    @ApiModelProperty(value = "操作模块")
    private String operationModule;

    @ApiModelProperty(value = "操作类型")
    private String operationType;

    @ApiModelProperty(value = "操作描述")
    private String operationDesc;

    @ApiModelProperty(value = "操作内容")
    private String operationContent;

    @ApiModelProperty(value = "执行状态0：成功，1:失败")
    private StateEnum state;

    @ApiModelProperty(value = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
