package com.docus.server.vo.segmentation.ocrversion;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 正式数据版本号管理 VO
*
* @author AutoGenerator
* @since 2023-08-25
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="OcrVersionVO对象", description="正式数据版本号管理")
public class OcrVersionVO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "版本号")
    private Integer version;

    @ApiModelProperty(value = "版本说明")
    private String releaseNote;

    @ApiModelProperty(value = "是否启用(0否 1 是)")
    private Boolean isEnable;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;


}
