package com.docus.server.common;

public class MsgConstants {

    /**
     * 客户端与采集调度器心跳
     */
    public static final String HEARTBEAT_REQUEST = "0";

    /**
     * 客户端上线注册
     */
    public static final String ONLINE_REGISTER = "1";

    /**
     * 客户端下线移除
     */
    public static final String OFFLINE_REMOVE = "2";

    /**
     * 客户端异常注册
     */
    public static final String EXCEPTION_REMOVE = "3";

    /**
     * 终端重启命令
     */
    public static final String TERMINATOR_RESTART = "4";

    /**
     * 采集器重启命令
     */
    public static final String COLLECTOR_RESTART = "5";

    /**
     * 虚拟机重启命令
     */
    public static final String VIRTUAL_RESTART = "6";

    /**
     * 更新采集器文件命令
     */
    public static final String UPDATE_COLLECTOR_FILE = "7";

    /**
     * 更新采集器配置命令
     */
    public static final String UPDATE_COLLECTOR_CONFIG = "8";

    /**
     * 采集调度器下发任务命令
     */
    public static final String SCH_DISTRIBUTE_TASKS = "9";
    /**
     * 接收采集器上报的任务
     */
    public static final String REV_COLLECTOR_TASK = "10";

    /**
     * 是否有可用类型的采集器命令
     */
    public static final String HAS_VALID_COLLECTOR = "11";

    /**
     * 获取终端采集器数据量命令
     */
    public static final String HAS_COLLECTOR_COUNT = "12";
}
