package com.docus.server.collect.web.common.dto;

import lombok.Data;

/**
 * 数据库表格式
 */
@Data
public class DableJsonDto {
    private String name;
    private String oldtable;
    private String newtable;
    /**
     * 延时(单秒）
     */
    private Integer delayed = 0;

    private Integer interval = 0;
    /**
     * 旧表非单表时应用
     */
    private String relation;
    /**
     * dbkey，用于切换视图对应的数据库类库
     */
    private int dbkey;
    /**
     * 第三方db名称，与datasource文件name一致
     */
    private String dbName;
    /**
     * 日期查询字段
     */
    private String whereparam;

    /**
     * 0 jzh模式，1 jzh+住院次数模式，2 住院号+住院次数模式，3, 住院号+出入院时间匹配模式 4，jzh+出入院时间匹配模式
     */
    private int collectionMatchingMode = 0;
}
