package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchOperationLog;
import com.docus.server.dto.scheduling.management.schoperationlog.AddSchOperationLogDTO;
import com.docus.server.dto.scheduling.management.schoperationlog.EditSchOperationLogDTO;
import com.docus.server.dto.scheduling.management.schoperationlog.DeleteSchOperationLogDTO;
import com.docus.server.vo.scheduling.management.schoperationlog.SchOperationLogVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 采集调度器操作日志 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Mapper
public interface SchOperationLogConvert {

    SchOperationLogConvert INSTANCE = Mappers.getMapper(SchOperationLogConvert.class);

    @Mappings({})
    SchOperationLog convertDO(AddSchOperationLogDTO addSchOperationLogDTO);

    @Mappings({})
    SchOperationLog convertDO(EditSchOperationLogDTO editSchOperationLogDTO);

    @Mappings({})
    List<SchOperationLog> convertAddDOList(List<AddSchOperationLogDTO> addSchOperationLogDTO);

    @Mappings({})
    List<SchOperationLog> convertEditDOList(List<EditSchOperationLogDTO> editSchOperationLogDTO);

    @Mappings({})
    SchOperationLogVO convertVO(SchOperationLog schOperationLog);

    @Mappings({})
    List<SchOperationLogVO> convertVO(List<SchOperationLog> schOperationLogList);

    @Mappings({})
    PageResult<SchOperationLogVO> convertVO(PageResult<SchOperationLog> pageResult);
}

