package com.docus.server.record.common.pojo.entity;

public class MedicalRecordEntity {


    private Long id;

    /**
     * 住院号
     */
    private String inpatientNo;
    /**
     * 记账号/住院流水号
     */
    private String jzh;
    /**
     * 住院次数
     */
    private Integer admisstimes;
    /**
     * 采集来源系统
     */
    private String sysFlag;
    /**
     * 下载地址
     */
    private String downUrl;
    /**
     * 文件名
     */
    private String fileTitle;

    /**
     * 采集流水号/文件唯一id
     */
    private String serialnum;

    /**
     * 文件分类id
     */
    private String assortId;

    /**
     * 采集类型(文件来源 1:采集器；2：扫描生产软件)
     */
    private String fileSource;

    /**
     * 业务病案主键
     */
    private String patientId;


    /**
     * 1. 未完成，2. 已完成
     */
    private String state;

    /**
     * 任务id
     */
    private String taskId;

}
