package com.docus.server.dto.segmentation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wyb
 */
@ApiModel("上传文件附带的文件信息")
@Data
public class FileDTO {
    @ApiModelProperty("文件分类ID")
    private String assortId;
    @ApiModelProperty("文件展示标题")
    private String fileTitle;
    @ApiModelProperty("上传的文件文件名，用于multipartFile")
    private String uploadFileName;
    @ApiModelProperty("文件类型 1:pdf 2：图片 ")
    private Integer fileType = 1;
    @ApiModelProperty("文件唯一标识")
    private String serialNumber;
    @ApiModelProperty("文件排序")
    private Integer sort = 0;
}
