package com.docus.server.vo.scheduling.management.schcollectorversionfile;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "UploadFileVO对象", description = "UploadFileVO")
public class UploadFileVO {

    @ApiModelProperty(value = "文件标题")
    @TableField("file_title")
    private String fileTitle;

    @ApiModelProperty(value = "文件目录 单纯文件夹路径，不带文件名，如：F:\\嘉时\\新建文件夹\\")
    @TableField("file_path")
    private String filePath;

    @ApiModelProperty(value = "文件名称")
    @TableField("file_name")
    private String fileName;

    @ApiModelProperty(value = "文件大小")
    @TableField("file_size")
    private Long fileSize;

    @ApiModelProperty(value = "文件类型")
    @TableField("file_type")
    private String fileType;

    @ApiModelProperty(value = "高度")
    @TableField("height")
    private int height;

    @ApiModelProperty(value = "宽度")
    @TableField("width")
    private int width;

    @ApiModelProperty(value = "横坐标")
    @TableField("x")
    private int x;

    @ApiModelProperty(value = "纵坐标")
    @TableField("y")
    private int y;
}
