package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrConfig;
    import com.docus.server.dto.segmentation.ocrconfig.AddOcrConfigDTO;
    import com.docus.server.dto.segmentation.ocrconfig.EditOcrConfigDTO;
    import com.docus.server.dto.segmentation.ocrconfig.DeleteOcrConfigDTO;
import com.docus.server.vo.segmentation.ocrconfig.OcrConfigVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* 基础配置表 服务转换器
*
* @author AutoGenerator
* @since 2023-08-25
*/
@Mapper
public interface OcrConfigConvert {

    OcrConfigConvert INSTANCE = Mappers.getMapper(OcrConfigConvert.class);

    @Mappings({})
    OcrConfig convertDO(AddOcrConfigDTO addOcrConfigDTO);

    @Mappings({})
    OcrConfig convertDO(EditOcrConfigDTO editOcrConfigDTO);

    @Mappings({})
    List<OcrConfig> convertAddDOList(List<AddOcrConfigDTO> addOcrConfigDTO);

    @Mappings({})
    List<OcrConfig> convertEditDOList(List<EditOcrConfigDTO> editOcrConfigDTO);

    @Mappings({})
    OcrConfigVO convertVO(OcrConfig ocrConfig);

    @Mappings({})
    List<OcrConfigVO> convertVO(List<OcrConfig> ocrConfigList);

    @Mappings({})
    PageResult<OcrConfigVO> convertVO(PageResult<OcrConfig> pageResult);
}

