package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrSpRule;
    import com.docus.server.dto.segmentation.ocrsprule.AddOcrSpRuleDTO;
    import com.docus.server.dto.segmentation.ocrsprule.EditOcrSpRuleDTO;
    import com.docus.server.dto.segmentation.ocrsprule.DeleteOcrSpRuleDTO;
import com.docus.server.vo.segmentation.ocrsprule.OcrSpRuleVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* 特殊策略表 服务转换器
*
* @author AutoGenerator
* @since 2023-08-21
*/
@Mapper
public interface OcrSpRuleConvert {

    OcrSpRuleConvert INSTANCE = Mappers.getMapper(OcrSpRuleConvert.class);

    @Mappings({})
    OcrSpRule convertDO(AddOcrSpRuleDTO addOcrSpRuleDTO);

    @Mappings({})
    OcrSpRule convertDO(EditOcrSpRuleDTO editOcrSpRuleDTO);

    @Mappings({})
    List<OcrSpRule> convertAddDOList(List<AddOcrSpRuleDTO> addOcrSpRuleDTO);

    @Mappings({})
    List<OcrSpRule> convertEditDOList(List<EditOcrSpRuleDTO> editOcrSpRuleDTO);

    @Mappings({})
    OcrSpRuleVO convertVO(OcrSpRule ocrSpRule);

    @Mappings({})
    List<OcrSpRuleVO> convertVO(List<OcrSpRule> ocrSpRuleList);

    @Mappings({})
    PageResult<OcrSpRuleVO> convertVO(PageResult<OcrSpRule> pageResult);
}

